Page MenuHomePhabricator

[Bug] AMC toggle takes two taps to turn off/on
Closed, ResolvedPublic

Description

Description

The AMC toggle takes two taps to turn off/on

Details

Browser & device: iOS/Safari & Chrome, Android/Chome

QA Results

StatusDetails
✅ PassedT219028#5071323

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2019, 7:41 PM

Same behaviour with the beta toggle.

I'll look into that, user preferences update happens as a deferred update (it's executed as a last thing during page request). Same happens with the Beta switch. I think that can happen when prod is bit overloaded, and server renders you a new page, but the properties update didn't finish yet. Thats why it renders as "off" state (because switching to ON is still in progress).

I'll update the code to update the database before it returns any content to the user.

Change 498943 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Update user preferences before flusing output.

https://gerrit.wikimedia.org/r/498943

ovasileva triaged this task as High priority.Mar 25 2019, 5:12 PM

Change 498943 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update user preferences before flusing output.

https://gerrit.wikimedia.org/r/498943

@Jdlrobson Where do I test this? I am still seeing this behavior in Prod.

Test Result

Status: ✅ PASS
OS: iOS
Browser: Chrome on (iPhone XS Max)

Test Artifact(s):

Edtadros reassigned this task from Edtadros to ovasileva.Mar 29 2019, 11:47 PM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.
ovasileva closed this task as Resolved.Apr 8 2019, 11:07 AM

Looks good!

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptMar 2 2020, 6:39 PM